############################
########## ROMEO ###########
############################

Romeo_offsets = {
    'CameraLeftEyeOffsetX': 0.10247,
    'CameraLeftEyeOffsetZ': 0.05425,
    'GripperOffsetX': -0.113,
    'GripperOffsetY': 0.036,
    'GripperOffsetZ': 0.036,
    'GripperRotX': 1.032,
    'GripperRotY': 0,
    'GripperRotZ': 0,
}

Romeo_links = {
    'Torso_link': 'torso',
    'LShoulderPitch_link': 'LShoulder',
    'RShoulderPitch_link': 'RShoulder',
    'LElbowRoll_link': 'LForeArm',
    'RElbowRoll_link': 'RForeArm',
    'LElbowYaw_link': 'LElbow',
    'RElbowYaw_link': 'RElbow',
    'TrunkYaw_link': 'body',
    'LHipRoll_link': 'LHip',
    'RHipRoll_link': 'RHip',
    'LHipPitch_link': 'LThigh',
    'RHipPitch_link': 'RThigh',
    'LKneePitch_link': 'LTibia',
    'RKneePitch_link': 'RTibia',
    'LAnkleRoll_link': 'l_ankle',
    'RAnkleRoll_link': 'r_ankle',
    'LWristPitch_link': 'l_wrist',
    'RWristPitch_link': 'r_wrist',
    # 'LHand_actuator_frame': 'l_gripper',
    # 'RHand_actuator_frame': 'r_gripper',
    'LEyePitch_link': 'LEye',
    'REyePitch_link': 'REye',
    'LLeg_effector': 'l_sole',
    'RLeg_effector': 'r_sole',

    # SENSORS
    'AccelerometerDownTorso_sensor': 'ImuTorsoAccelerometer_frame',
    'AccelerometerHead_sensor': 'ImuHeadAccelerometer_frame',
    'GyrometerDownTorso_sensor': 'ImuTorsoGyrometer_frame',
    'GyrometerHead_sensor': 'ImuHeadGyrometer_frame',
    'LFoot/FSR/CenterFront_sensor': 'LFsrFrontCenter_frame',
    'LFoot/FSR/CenterRear_sensor': 'LFsrRearCenter_frame',
    'LFoot/FSR/HeelLeft_sensor': 'LFsrHeelLeft_frame',
    'LFoot/FSR/HeelRight_sensor': 'LFsrHeelRight_frame',
    'LFoot/FSR/ToeFrontLeft_sensor': 'LFsrFToeFrontLeft_frame',
    'LFoot/FSR/ToeRearLeft_sensor': 'LFsrFToeRearLeft_frame',
    'LFoot/FSR/ToeFrontRight_sensor': 'LFsrFToeFrontRight_frame',
    'LFoot/FSR/ToeRearRight_sensor': 'LFsrFToeRearRight_frame',
    'RFoot/FSR/CenterFront_sensor': 'RFsrFrontCenter_frame',
    'RFoot/FSR/CenterRear_sensor': 'RFsrRearCenter_frame',
    'RFoot/FSR/HeelLeft_sensor': 'RFsrHeelLeft_frame',
    'RFoot/FSR/HeelRight_sensor': 'RFsrHeelRight_frame',
    'RFoot/FSR/ToeFrontLeft_sensor': 'RFsrFToeFrontLeft_frame',
    'RFoot/FSR/ToeRearLeft_sensor': 'RFsrFToeRearLeft_frame',
    'RFoot/FSR/ToeFrontRight_sensor': 'RFsrFToeFrontRight_frame',
    'RFoot/FSR/ToeRearRight_sensor': 'RFsrFToeRearRight_frame',
    'CameraLeft_sensor': 'CameraLeft_frame',
    'CameraLeftEye_sensor': 'CameraLeftEye_frame',
    'CameraRight_sensor': 'CameraRight_frame',
    'CameraRightEye_sensor': 'CameraRightEye_frame',
}

Nao_links = {
    'RFoot/FSR/FrontLeft_frame': 'RFsrFL_frame',
    'RFoot/FSR/RearLeft_frame': 'RFsrRL_frame',
    'RFoot/FSR/FrontRight_frame': 'RFsrFR_frame',
    'RFoot/FSR/RearRight_frame': 'RFsrRR_frame',
    'LFoot/FSR/FrontLeft_frame': 'LFsrFL_frame',
    'LFoot/FSR/RearLeft_frame': 'LFsrRL_frame',
    'LFoot/FSR/FrontRight_frame': 'LFsrFR_frame',
    'LFoot/FSR/RearRight_frame': 'LFsrRR_frame',
    'Sonar/Right_frame': 'LSonar_frame',
    'Sonar/Left_frame': 'RSonar_frame',
    'InfraredL_frame': 'LInfraRed_frame',
    'InfraredR_frame': 'RInfraRed_frame',
    'CameraTop_frame': 'CameraTop_frame',
    'CameraBottom_frame': 'CameraBottom_frame',
    'LFoot/Bumper/Left_frame': 'LFootBumperLeft_frame',
    'LFoot/Bumper/Right_frame': 'LFootBumperRight_frame',
    'RFoot/Bumper/Left_frame': 'RFootBumperLeft_frame',
    'RFoot/Bumper/Right_frame': 'RFootBumperRight_frame',
    'ChestBoard/Button_frame': 'ChestButton_frame',
    'Head/Touch/Front_frame': 'HeadTouchFront_frame',
    'Head/Touch/Middle_frame': 'HeadTouchMiddle_frame',
    'Head/Touch/Rear_frame': 'HeadTouchRear_frame',
    'LHand/Touch/Left_frame': 'LHandTouchLeft_frame',
    'LHand/Touch/Back_frame': 'LHandTouchBack_frame',
    'LHand/Touch/Right_frame': 'LHandTouchRight_frame',
    'RHand/Touch/Left_frame': 'RHandTouchLeft_frame',
    'RHand/Touch/Back_frame': 'RHandTouchBack_frame',
    'RHand/Touch/Right_frame': 'RHandTouchRight_frame',
    'Accelerometer_frame': 'ImuTorsoAccelerometer_frame',
    'Gyrometer_frame': 'ImuTorsoGyrometer_frame',
    'MicroFront_frame': 'MicroFrontCenter_frame',
    'MicroRear_frame': 'MicroRearCenter_frame',
    'MicroLeft_frame': 'MicroSurroundLeft_frame',
    'MicroRight_frame': 'MicroSurroundRight_frame',
    'Torso_link': 'torso',
    'LAnkleRoll_link': 'l_ankle',
    'RAnkleRoll_link': 'r_ankle',
    'HeadPitch_link': 'Head',
    'HeadYaw_link': 'Neck',
    'LShoulderPitch_link': 'LShoulder',
    'RShoulderPitch_link': 'RShoulder',
    'LShoulderRoll_link': 'LBicep',
    'RShoulderRoll_link': 'RBicep',
    'LElbowYaw_link': 'LElbow',
    'RElbowYaw_link': 'RElbow',
    'LElbowRoll_link': 'LForeArm',
    'RElbowRoll_link': 'RForeArm',
    'LHipYawPitch_link': 'LPelvis',
    'RHipYawPitch_link': 'RPelvis',
    'LHipRoll_link': 'LHip',
    'RHipRoll_link': 'RHip',
    'LHipPitch_link': 'LThigh',
    'RHipPitch_link': 'RThigh',
    'LKneePitch_link': 'LTibia',
    'RKneePitch_link': 'RTibia',
    'TrunkYaw_link': 'body',
}
